 
/*  err1.c
    for use by tm40.c
    Stephen D. Anderson --- January 9, 1995

    Function err1.c indicates that a HART command failed because Field
    Instrument transmission corrupt.  It opens a window and says this.
    Then it waits for a key or mouse input and then returns.

    ON ENTRY:
        cmd is the HART command that failed.

    ON EXIT:
        returns nothing.

    REVISION LOG:


*/

#include "tm40.h"

void err1(byte cmd)
{
    Wopen(2,15,15,65,2,WHITE|_RED,WHITE|_RED);
    Wputf("\n\n    Error -- HART CMD %d\n", cmd);
    Wputs("\n    failed.  Field Instrument");
    Wputs("\n    transmission corrupt or missing.");
    Wputs("\n\n    Hit any key to resume.");
    KeyWait(); Wclose();
}

